> ## Documentation Index
> Fetch the complete documentation index at: https://docs.schoolmaker.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sections

> Retrieves the sections in a program. Filter by section group to list them in group order.



## OpenAPI

````yaml get /sections
openapi: 3.0.1
info:
  title: SchoolMaker API V1
  description: API for managing your SchoolMaker school
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://schoolmaker.co/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /sections:
    get:
      tags:
        - Sections
      summary: List Sections
      description: >-
        Retrieves the sections in a program. Filter by section group to list
        them in group order.
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 10000
        - name: per_page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 30
        - name: query
          in: query
          required: false
          schema:
            type: string
            maxLength: 10000
        - name: product_id
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - name: section_group_id
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 255
            description: >-
              Filter by a section group in this program. Results follow the
              order within that group.
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    maxItems: 30
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        product_id:
                          type: string
                        section_group_id:
                          type: string
                          nullable: true
                        section_group_position:
                          type: integer
                          nullable: true
                        name:
                          type: string
                        description:
                          type: string
                          nullable: true
                        position:
                          type: integer
                          nullable: true
                        drip_delay:
                          type: integer
                        is_published:
                          type: boolean
                  page:
                    type: integer
                  next_page:
                    type: integer
                    nullable: true
              example:
                data:
                  - id: SECTION_ID
                    product_id: PROGRAM_ID
                    section_group_id: GROUP_ID
                    section_group_position: 1
                    name: Introduction
                    description: Start here
                    position: 1
                    drip_delay: 0
                    is_published: false
                page: 1
                next_page: null
        '401':
          description: Access denied
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Access denied
        '403':
          description: You do not have permission to perform this action
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: You do not have permission to perform this action
        '404':
          description: Record not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Record not found
        '422':
          description: Invalid arguments
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Invalid arguments
        '429':
          description: Too many requests
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    oneOf:
                      - type: string
                      - type: array
                        items:
                          type: string
              example:
                error: Too many requests
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.